use lib qw(../lib);
use ModPerl::BuildMM ();

use Config;
use Apache2::Build;
use Apache::TestTrace;
my $build = Apache2::Build->build_config();

my $ccopts = $build->ccopts;

# Debian has removed the call to strip_lfs (which has itself been
# removed) which removed -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
# from CFLAGS, to fix build failures with perl 5.14 on i386 with
# -Duselargefiles
# <http://bugs.debian.org/636651>

ModPerl::BuildMM::WriteMakefile(
    NAME         => 'APR::PerlIO',
    VERSION_FROM => 'PerlIO.pm',
    CCFLAGS      => $ccopts,
    OBJECT       => 'PerlIO.o modperl_apr_perlio.o'
);

